Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Luongquocsonxd

LỆNH LINE THEO NHÓM POINTS

Các bài được khuyến nghị

15 phút trước, Luongquocsonxd đã nói:

image.thumb.png.dac12de11be78393954a3c90c7e771c5.png

Chào Bạn!

 

Cũng khá thú vị, Bạn có thể cho file trong đó có tất cả các điểm Ai và Bi xem thử các bộ A1,4 đó nằm như thế nào không.

 

Thân chào!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
12 giờ trước, Luongquocsonxd đã nói:

Bạn Doan Nguyen Van có thể gửi mình đoạn lisp.Thank you bạn!

Mail: luongquocsonxd@gmail.com

(Defun c:te ()
  (setq ss (Acet-ss-to-list (ssget (list (cons 0 "POINT")))))
  (if (= (length ss) 8)
    (progn
      (setq ss1
         (vl-sort ss
              '(lambda (x y) (< (car (dxf 10 x)) (car (dxf 10 y))))
         )
      )
      (setq
    ss2 (vl-sort
          ss
          '(lambda (x y) (< (cadr (dxf 10 x)) (cadr (dxf 10 y))))
        )
      )
      (foreach pt (list    (list (car (dxf 10 (car ss1)))
                  (cadr (dxf 10 (car ss2)))
            )
            (list (car (dxf 10 (car ss1)))
                  (cadr (dxf 10 (last ss2))))
            (list (car (Dxf 10 (last ss1)))
                  (cadr (dxf 10 (car ss2)))
            )
            (list (car (Dxf 10 (last ss1)))
                  (cadr (dxf 10 (last ss2)))
            )
          )
    (setq ss
           (vl-sort
         ss
         '(lambda (x y)
            (< (distance pt (dxf 10 x)) (distance pt (Dxf 10 y)))
          )
           )
    )
    (setq e1 (car ss))
    (setq ss (vl-remove e1 ss))
    (setq ss (vl-sort ss
              '(lambda (x y)
                 (<    (distance (dxf 10 e1) (dxf 10 x))
                (distance (dxf 10 e1) (Dxf 10 y))
                 )
               )
         )
    )
    (setq e2 (car ss))
    (setq ss (vl-remove e2 ss))
    (command "_LINE" (Dxf 10 e1) (dxf 10 e2) "")
      )
    )

  )
)
(defun dxf (id obj) (cdr (assoc id (entget obj))))
Đây bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
15 giờ trước, alisp đã nói:

Lisp của bác Doannguyenvan hiện dòng command ngộ quá nhỉ : Objektname ?

E bị thay đổi ngôn ngữ cad vlide sang tiếng đức, hiện chưa biết cách thiết lập lại :( 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 giờ} trướ}c, Doan Nguyen Van đã nói:

E bị thay đổi ngôn ngữ cad vlide sang tiếng đức, hiện chưa biết cách thiết lập lại :( 

Bác Doan Nguyen Van viết lisp khá là nhanh đó, cũng là dạng tuổi trẻ tài cao đấy nhé!

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
32 phút trước, alisp đã nói:

Bác Doan Nguyen Van viết lisp khá là nhanh đó, cũng là dạng tuổi trẻ tài cao đấy nhé!

Cảm ơn bác đã động viên, em cũng bình thường thôi mà, :-D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×